Bug 608991 - Key Down does not work (key sequence : eji6) after hitting space
Key Down does not work (key sequence : eji6) after hitting space
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ibus-chewing (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ding-Yi Chen
QE Internationalization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 02:42 EDT by Kenichi Takemura
Modified: 2014-08-04 18:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: ibus-chewing-1.3.5.20100714-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-03 20:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenichi Takemura 2010-06-29 02:42:47 EDT
Description of problem:

When using Chinese Chewing of iBus in Gedit
Key Down does not work to select next candidate (key sequence : eji6) after hitting space

Version-Release number of selected component (if applicable):
RHEL Version:Red Hat Enterprise Linux Workstation release 6.0 Beta (Santiago)
Kernel:2.6.32-37.el6.x86_64
Package:
ibus-1.3.3-1.el6.x86_64
ibus-chewing-1.2.99.20100317-2.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open Gedit and turn iBus with Chinese Chewing on
2. Type eji6 then space to pop up other candidates characters. 
3. After step2 following Key down(arrow down) pressing does not work.
   
Actual results:

Key down does nothing.
Hitting enter does not work till pressing a number key.

Expected results:

Key down(arrow down) shows next character.
Hitting enter should confirm the current character?

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-29 03:02:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Ding-Yi Chen 2010-06-30 02:50:57 EDT
Please also post the result of:
gconftool-2 -a /desktop/ibus/engine/Chewing

Thanks!
Comment 4 Kenichi Takemura 2010-06-30 03:09:44 EDT
Hi thanks 4 your help!

Here is information.

$ gconftool-2 -a /desktop/ibus/engine/Chewing
 plainZhuyin = false
 spaceAsSelection = true
 escCleanAllBuf = false
 inputStyle = in candidate window
 syncCapsLockLocal = keyboard
 forceLowercaseEnglish = false
 selKeys = 1234567890
 phraseChoiceRearward = true
 easySymbolInput = true
 candPerPage = 10
 KBType = default
 maxChiSymbolLen = 20
 numpadAlwaysNumber = true
 autoShiftCur = false
 hsuSelKeyType = 1
 addPhraseDirection = false
Comment 5 Ding-Yi Chen 2010-07-12 00:35:23 EDT
Fix is ready, yet need exception flags to be set as +
Comment 6 Jens Petersen 2010-07-13 05:34:53 EDT
Is the fix already in Fedora?
Comment 10 Suzanne Yeghiayan 2010-07-15 18:26:55 EDT
From Jul 15 RHEL meeting:

REPORTER: ddumas
STATUS:   Update from jens.  Worked with dchen to get it done but dchen
          didn't follow process.  It's in nightly. 
REPORTER: dgregor
STATUS:   Tagged ibus-chewing-1.3.5.20100714-1.el6 for next Snapshot 8
          compose.
REPORTER: sly
STATUS:   Changed status to MODIFIED.
Comment 11 Ding-Yi Chen 2010-07-16 00:15:35 EDT
Oh, just realize it is same thing that upstream issue 993 trying to address.
(http://code.google.com/p/ibus/issues/detail?id=993)

Basically, the default behaviors of down arrow in ibus-chewing are:

1) In editing mode (preedit buffer is not empty, candidate window is not shown),
open the candidate window.

2) In selection mode (candidate window is shown),
Show the candidate with different length.

Assuming the "Select for back" is on.
For example, when typing "gj bj4 z83" (輸入法),
Press down arrow first time will show the "輸入法" as candidate,
the second time will show the "法" and its homophone such as 髮、砝。

Thus. it is not really a bug. 
Still, as the default behavior is not intuitive to new users,
I may need to do at least one of the followings:
1) Documentation on the keybindings/behaviors  of ibus-chewing.
2) An option that enable the key binding that Kenichi Takemura  and zorg@chromium.org
   expected.
Comment 13 Kenichi Takemura 2010-07-20 00:42:48 EDT
Documentations(release notes) should be updated regarding this key behaviours.
Comment 14 Jens Petersen 2010-07-20 03:11:34 EDT
FailedQA?
Comment 15 Jens Petersen 2010-07-20 03:19:44 EDT
There is a flag requires_release_note for requesting relnotes.
Not sure why the bug state was reset?
Comment 17 Jens Petersen 2010-07-21 01:35:14 EDT
(Currently we have not documented ibus hotkeys or shortcuts at all
in the relnotes - perhaps we should?)

Anyway, Ding-Yi: please describe the change in Technical Notes box, as requested by PM.
Comment 18 Kenichi Takemura 2010-09-06 00:40:35 EDT
Ding-Yi: Any update regarding rel-note?
Comment 19 Ding-Yi Chen 2010-09-06 01:32:09 EDT
The usage and hot keys are documents in both README include in this package,
and http://code.google.com/p/ibus/wiki/ChewingUserGuide

Regards,
Comment 20 Kenichi Takemura 2010-09-06 02:11:18 EDT
I checked the README of 'ibus-chewing-1.3.5.20100714-1.el6.i686'
But It does not seem to have appropriate descriptions about Key down like http://code.google.com/p/ibus/wiki/ChewingUserGuide(This is OK).

Can you tell me where the README location is?

$ rpm -q ibus-chewing
ibus-chewing-1.3.5.20100714-1.el6.i686

$ cat /usr/share/doc/ibus-chewing-1.3.5.20100714/README
ibus-chewing
It is a Chinese input engine for IBus.

It is released under GPLv2, see COPYING for detail.

See INSTALL for installation instruction.
Comment 21 Ding-Yi Chen 2010-09-06 04:28:07 EDT
Ah, I made a stupid mistake.
The file should be USER-GUIDE, not README.

I'll update README to reflect this change.
Comment 22 Jens Petersen 2010-09-06 22:39:30 EDT
Can you produce an url to the file for QA?
Comment 23 Jens Petersen 2010-09-06 22:45:16 EDT
Takemura-san, I think you have to make do with the URL above for now.
Comment 24 Kenichi Takemura 2010-09-06 23:37:08 EDT
I understood. Thank you Ding-Yi and Jens for your support.

Moving this bug to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.